Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libgnomesu-1.0.0-339.1.2 RPM for i586

From OpenSuSE 12.1 for i586

Name: libgnomesu Distribution: openSUSE 12.1
Version: 1.0.0 Vendor: openSUSE
Release: 339.1.2 Build date: Sun Oct 30 02:54:06 2011
Group: System/GUI/GNOME Build host: build12
Size: 41200 Source RPM: libgnomesu-1.0.0-339.1.2.src.rpm
Packager: http://bugs.opensuse.org
Url: http://members.chello.nl/~h.lai/libgnomesu/
Summary: GNOME su Library
Libgnomesu is a library for providing superuser privileges to GNOME
applications. It supports sudo, consolehelper, PAM, and su.

Provides

Requires

License

LGPLv2.1+

Changelog

* Tue Jul 19 2011 vuntz@opensuse.org
  - Add libgnomesu-no-gconf.patch: use GSettings instead of gconf to
    find the preferred terminal; this is needed for GNOME 3
    integration.
  - Add libgnomesu-gtk3.patch: port to GTK+ 3.
  - Change gtk2-devel BuildRequires to gtk3-devel.
  - Remove now unneeded gconf2-devel BuildRequires.
  - Add gsettings-desktop-schemas Requires, since the use of
    GSettings require the schema to be installed.
  - Remove explicit Requires for glib2-devel and gtk2-devel in devel
    subpackage: if needed, they will automatically be added the
    pkgconfig() way.
* Mon May 30 2011 vuntz@opensuse.org
  - Add libgnomesu-check-setuid-retval.patch: really handle return
    value of the setuid() call, to avoid a root exploit if it fails
    because of rlimits. Fix bnc#695627 and CVE-2011-1946.
* Thu May 05 2011 vuntz@opensuse.org
  - Use %{_libexecdir} instead of %{_prefix}/lib.
  - Do not use %run_permissions in %post of libgnomesu0 since there
    is no file with specific permissions there. Instead use the more
    specific %set_permissions in %post of the main package.
  - Note that the permissions PreReq and the %verifyscript were for
    the main package already.
* Tue Feb 15 2011 vuntz@opensuse.org
  - Add libgnomesu-use-pam_xauth.patch: with the pam backend, we
    should stop playing with xauth ourselves and let pam_xauth handle
    this. It turns out it's already configured to do so in
    gnomesu-pam.pamd, but we're hiding things to it.
  - Add libgnomesu-reorder-pam-init.patch: in the pam backend, we
    want to initialize everything in the right order, and we use the
    coreutils/su code as reference for this.
* Wed Jan 26 2011 vuntz@opensuse.org
  - Update libgnomesu-modernize.patch: define an icon for the
    Continue button. It will only be shown if user configures the
    desktop to show icons for buttons. Fix bnc#639203.
* Tue Aug 31 2010 aj@suse.de
  - Recommend instead of require lang package since it's not mandatory.
* Sat Aug 07 2010 vuntz@opensuse.org
  - Update libgnomesu-modernize.patch to fix build with recent GTK+.
* Fri Jun 04 2010 vuntz@opensuse.org
  - Add libgnomesu-no-manual-memory-cleaning.patch to fix some bad
    code that tries to remove passwords from memory the wrong way.
    GTK+ already does this for us. As a side-effect, this fixes
    bnc#351917.
* Wed Apr 14 2010 sbrabec@suse.cz
  - Fixed translatability (bnc#582085).
  - Add libgnomesu-remove-prior-cookie.patch (bnc#477638) from SLE11
    (hpj@novell.com).
* Sat Mar 13 2010 dimstar@opensuse.org
  - Modernize libgnomesu-modernize.patch not to use deprecated
    GTK symbols.
* Wed Mar 10 2010 sbrabec@suse.cz
  - Upstream of libgnomesu is dead. Move translation to a separate
    LCN project and migrate from gnome-patch-translation to
    translation-update-upstream (bnc#562162#c2).
* Thu Dec 03 2009 vuntz@opensuse.org
  - Rebase libgnomesu-bnc440970-safe-path.patch to apply without
    fuzz.
* Mon Sep 28 2009 vuntz@opensuse.org
  - Use gnome-patch-translation for new strings added by patch. Part
    of bnc#541653.
  - Use spec-cleaner to clean the spec file.
* Wed Jul 15 2009 vuntz@novell.com
  - Add libgnomesu-bnc440970-safe-path.patch to fix bnc#440970:
    instead of resetting PATH to a default value that we can't get
    right, just remove the unsafe values.
* Wed May 20 2009 vuntz@novell.com
  - Drop useless update-polish-patch.sh script.
* Wed May 13 2009 vuntz@novell.com
  - Tag patches.
  - Remove AutoReqProv: it's default now.
* Thu Apr 30 2009 vuntz@novell.com
  - Remove .la files.
* Thu Mar 19 2009 vuntz@novell.com
  - Make gnomesu handle "gnomesu -- gnomesu -- ls". We used to end up
    with a leading "--" in a command we were spawning, which doesn't
    work. This is an update to libgnomesu-drop-libgnomeui.patch,
    which was wrong for this.
    Fix bnc#486644.

Files

/etc/pam.d/gnomesu-pam
/usr/bin/gnomesu
/usr/lib/libgnomesu
/usr/lib/libgnomesu/gnomesu-pam-backend
/usr/share/doc/packages/libgnomesu
/usr/share/doc/packages/libgnomesu/AUTHORS
/usr/share/doc/packages/libgnomesu/ChangeLog
/usr/share/doc/packages/libgnomesu/NEWS
/usr/share/doc/packages/libgnomesu/README


Generated by rpm2html 1.8.1

Fabrice Bellet, Wed Dec 10 11:15:09 2014